import type { _NSObject } from "../Foundation/NSObject.js";
import type { CBManagerAuthorization } from "./CBManagerAuthorization.js";
import type { CBManagerState } from "./CBManagerState.js";
export declare class _CBManager extends _NSObject {
    static alloc(): _CBManager;
    static new(): _CBManager;
    init(): _CBManager;
    /**
     * The current state of the manager, initially set to CBManagerStateUnknown . Updates are provided by required delegate method {
     */
    state(): CBManagerState;
    /**
     * The current authorization of the manager, initially set to CBManagerAuthorizationNotDetermined . Updates are provided by required delegate method {
     * @deprecated CBManager.authorization
     */
    authorization(): CBManagerAuthorization;
}
